### A free/open-source library for quantitative finance

Public Member Functions
NorthAmericaCorpDefaultKey Class Reference

ISDA standard default contractual key for corporate US debt. More...

`#include <ql/experimental/credit/defaultprobabilitykey.hpp>`

Inheritance diagram for NorthAmericaCorpDefaultKey:
[legend]

List of all members.

## Public Member Functions

| NorthAmericaCorpDefaultKey (const Currency &currency, Seniority sen, Period graceFailureToPay=Period(30, Days), Real amountFailure=1.e6, Restructuring::Type resType=Restructuring::CR)

## Detailed Description

ISDA standard default contractual key for corporate US debt.